/***********************************
  |  |  __|    \    _ \  __|  _ \ 
  __ |  _|    _ \   |  | _|     / 
 _| _| ___| _/  _\ ___/ ___| _|_\ 

Header styling
***********************************/

.header--main{
	padding: 40px 0;
}

.site-title{
	@include font(30);
	font-weight: 300;
	margin-bottom: 30px;
	text-align: center;
	text-transform: uppercase;
	
	& span{
		display: block;
		@include font(14,14);
		margin-top: 5px;
		//text-transform: none;
	}
	
	@include bp(tablet){
		margin-bottom: 0;
		text-align: left;
	}
}

.site-title a{
	color: #8d9ca6;
	text-decoration: none;
}


.nav--main{
	
	text-align: center;

	@include bp(tablet){
		text-align: right;
	}

	& ul{
		
	}

	& li{
		display: inline-block;
		padding: 17px 10px;
		text-transform: uppercase;
	}

	& a{
		position: relative;
		padding: 5px;
		text-decoration: none;

		&:after{
			display: block;
			position: absolute;
			content: '';
			left: 0;
			bottom: -1px;
			width: 100%;
			height: 1px;
			transform: scale(0,1);
			transform-origin: 50% 0%;
			background-color: $grey;
			transition: all .1s ease-in-out;
		}

		&:hover,
		&:focus,
		&.active{
			&:after{
				transform: scale(1,1);
				transform-origin: 50% 0%;

			}
		}
	}
}


/** MAIN NAV **/
#main-menu,
#additional-links{

	display: none;

	& ul{

	}

	& li{

	}

	@include bp(desktop){
		display: block;
	}

}

#main-menu a,
#additional-links a{
	
	display: inline-block;
	color: #8d9ca6;
	padding: 4px 15px 4px 0;
	text-decoration: none;
    transition: background-color 100ms ease-in-out 20ms;

    &:hover{
    	color: #FFF;
		background-color: #8d9ca6;
		padding: 4px 10px 4px 5px;
		transition: background-color 250ms ease-in-out 50ms, color 100ms ease-in 40ms, padding 150ms ease-in 20ms;
	}

}

#blog{
	
	display: none;

	@include bp(desktop){
		display: block;
		width: 50px;
		height: 45px;
		margin: 50px 0 40px;
		text-indent: -99999px;
		background: url('./images/sprite-david.png') 0 0 no-repeat;
		background-size: 50px auto;
	}

}

#contact{
	
	display: none;
	
	@include bp(desktop){
		display: block;
		width: 23px;
		height: 14px;
		margin-bottom: 15px;
		text-indent: -99999px;
		background: url('./images/sprite-david.png') 0 -45px no-repeat;
		background-size: 50px auto;
	}
	
	
}

/** MOBILE MENU **/
.mobile-menu{
	
	position: absolute;
	display: block;
	top: 30px;
	width: 300px;
	margin: 0 0 0 -12px;
	padding: 0 10px 0 75px;
	box-sizing: border-box;
	background-color: transparent;
	z-index: 9;
	transition: background-color 300ms ease-in-out;

	& .mobile-menu-icon{
		position: absolute;
		display: block;
		top: 20px;
		left: 15px;
		width: 45px;
		height: 24px;
		z-index: 10;

	}

	& .menu-icon path{
		fill: #8d9ca6;
		transition: all 200ms ease-in-out;
	}

	& ul{
		opacity: 0;
		max-height: 0;
		overflow: hidden;
		transition: all 200ms ease-in-out;
	}

	&.open{
		
		background-color: #8d9ca6;
		transition: background-color 250ms ease-in-out;
		
		& .menu-icon path{
			fill: #FFFFFF;
			transition: all 200ms ease-in-out;
		}

		& ul{
			opacity: 1;
			max-height: 600px;
			transition: opacity 500ms ease-in-out 50ms, max-height 250ms ease-in-out 100ms;
		}

	}

	& li{
		@include font(20);
		font-weight: 300;
	}

	& a{
		color: #FFFFFF;
		display: block;
		padding: 20px 0;
		text-decoration: none;
	}

	@include bp(desktop){
		display: none;
	}
}